Usage Guidelines
- Response limit: 200 tokens per request
- Use
trendingScore24orvolume24rankings for better results instead ofcreatedAt - Apply quality filters such as volume and liquidity minimums to avoid low quality tokens
- Use
phraseparameter for searching by token name, symbol, or contract address - For exact symbol searches, use the
$prefix and combinephrasewith volume/liquidity rankings to improve results
Troubleshooting Tips
How can we use potentialScam to remove scams from results?
How can we use potentialScam to remove scams from results?
We actually remove potential scam tokens automatically without this filter. If you set
potentialScamto true, your results will show all (potentially) scam tokens that we have flagged. If set to false, it will return similar results as without the filter, however, all majors and stables will be included now. While false positives can occur, our detection system significantly reduces exposure to scam tokens.We also allow users to flag scams on our frontend at Defined.fi (moderated daily) which will update our API.How do I check if a token is verified?
How do I check if a token is verified?
To filter for verified tokens, use
isVerified: true in your filters input — this excludes tokens flagged as scams. To read verification status in the response, use isScam on the nested token object (e.g., token { isScam }). isScam: false is Codex’s equivalent of a token being “verified.” Note: there is no isVerified response field — it only works as a filter input.Token not being returned in search results
Token not being returned in search results
Check if the token has been flagged as a potential scam by adding
includeScams: true to your filters. Also verify you’re searching the correct network and the token has trading activity (we only index tokens after swaps have occurred).Results are returning too much junk data or scam tokens
Results are returning too much junk data or scam tokens
Add quality filters to improve results. We recommend setting minimum thresholds for volume, liquidity, holders, etc. Additionally, rank results by
trendingScore24 or volume24 rather than liquidity to get more meaningful results. Experiment with filters that will suit your needs.Responses seem slow. What is the expected response time for queries and how long does it take for new tokens to be queryable?
Responses seem slow. What is the expected response time for queries and how long does it take for new tokens to be queryable?
Response times are generally 60-150ms and it takes ~2-5 seconds to update the search cluster with new data. Contact our team if you are experiencing consistently delayed response times.
How can I create trending pages similar to those on Defined.fi?
How can I create trending pages similar to those on Defined.fi?
Check out our Discover Tokens recipe for more useful tips on how to use
filterTokens.How do I know if I can trust a null value for Mintable/Freezable status?
How do I know if I can trust a null value for Mintable/Freezable status?
A
null or undefined value for Mintable/Freezable will both return null through Codex. To differentiate between the two, we’ve included an isMintableValid and isFreezableValid field to show whether the null value returned is trustworthy or if we simply lack that information for the token (ie: undefined).